﻿@model MyApp.Web.ViewModels.UnregisteredGroupCodesViewModel

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}
GenerateUnregisteredGroupCodes
@Html.Partial("_NavSuperUser", MyApp.Web.Resources.EVAResource.unregisteredCodes)

<h2>@MyApp.Web.Resources.EVAResource.unregidsteredcodes</h2>


@if (Model.CanAddMoreUnregistered)
{
    using (Html.BeginForm("GenerateUnregisteredGroupCodes", "Unregistered", FormMethod.Post, new { @class = "form-horizontal" }))
    {
        @Html.AntiForgeryToken()

        @Html.Partial("_Feedback", Model.Feedbackmessage ?? string.Empty);

        <p>@MyApp.Web.Resources.EVAResource.totunregrequested : @Model.TotalRequestedUnregisteredCodes/@Model.MaxRequestedUnregisteredCodes</p>

        <div class="well">

            <div class="form-group">
                @Html.LabelFor(x => x.Newlyrequested)
                @Html.TextBoxFor(m => m.Newlyrequested, new { MaxLength = "4" })
                @Html.ValidationMessageFor(m => m.Newlyrequested)
            </div>

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.request)
                    @Html.HiddenFor(m => m.EncryptedId)
                    @Html.HiddenFor(m => m.MaxRequestedUnregisteredCodes)
                    @Html.HiddenFor(m => m.TotalRequestedUnregisteredCodes)
                    @Html.HiddenFor(m=>m.CanAddMoreUnregistered)
                </div>
            </div>

        </div>
    }
}



<script src="~/Scripts/op.copypaste.js" type="text/javascript"></script>
